POST/api/v1/compliance/export

Export compliance evidence pack

Generates a downloadable evidence pack (PDF + JSON) for the requested framework. CSV outputs sanitized per ADR-0022.

Authentication

Send Authorization: Bearer YOUR_API_KEY on every request. Generate API keys at /dashboard/api-keys.

Request body required

Example

{
  "framework": "soc2",
  "format": "pdf"
}
Schema
{
  "application/json": {
    "schema": {
      "type": "object",
      "required": [
        "framework"
      ],
      "properties": {
        "framework": {
          "type": "string",
          "enum": [
            "soc2",
            "iso27001",
            "eu-ai-act",
            "gdpr"
          ]
        },
        "format": {
          "type": "string",
          "enum": [
            "pdf",
            "json",
            "csv"
          ],
          "default": "pdf"
        }
      }
    }
  }
}

Response

202 example

{
  "job_id": "00000000-0000-0000-0000-000000000000"
}

All status codes

202Export queued.
400(no description)
401(no description)
403Forbidden — insufficient role for this operation.
429(no description)

Code samples

cURL

curl -X POST \
  https://evalguard.ai/api/v1/compliance/export \
  -H "Authorization: Bearer $EVALGUARD_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{ "framework": "soc2", "format": "pdf" }'

TypeScript

import { EvalGuard } from "@evalguard/sdk";

const client = new EvalGuard({ apiKey: process.env.EVALGUARD_API_KEY });

const response = await client.request({
  method: "POST",
  path: "/api/v1/compliance/export",
  body: {
    "framework": "soc2",
    "format": "pdf"
  },
});
console.log(response);

Python

from evalguard import EvalGuard
import os

client = EvalGuard(api_key=os.environ["EVALGUARD_API_KEY"])

response = client.request(
    method="POST",
    path="/api/v1/compliance/export",
    body={
    "framework": "soc2",
    "format": "pdf"
},
)
print(response)

Go

package main

import (
	"context"
	"fmt"
	"os"

	"github.com/evalguard/evalguard-go"
)

func main() {
	client := evalguard.NewClient(os.Getenv("EVALGUARD_API_KEY"))
	resp, err := client.Request(context.Background(), "POST", "/api/v1/compliance/export", map[string]any{"framework": "soc2", "format": "pdf"})
	if err != nil { panic(err) }
	fmt.Println(resp)
}

Errors

400401403429

Other Compliance endpoints